• GoDaddy Community
  • VPS & Dedicated Servers
  • VPS & Dedicated Servers

    cancel
    Showing results for 
    Show  only  | Search instead for 
    Did you mean: 
    Go to solution
    Highlighted

    Moodle Install Issues in Deluxe 4GB VPS

    Hi,

    I am trying to install moodle 3.4.2 in Deluxe 4 GB VPS. It was not successful and got the following errors.

    ! The selected version 3.4.2 is not compatible with the selected install location.

    Requirements:

    php 7.0- (detected: 5.6.36)

    php-memory-limit 40M (detected: 32M)

    php-fileinfo 1- (detected: OFF)

    php-iconv 1- (detected: OFF)

    php-intl 1- (detected: OFF)

     I contacted help desk  and I understood that they cannot help me. Then through control panel I changed version of PHP to 7.  On my next attempt for moodle installation, the first error has gone, but others existed. 

    php-fileinfo 1- (detected: OFF)

    php-iconv 1- (detected: OFF)

    php-intl 1- (detected: OFF)

    Please help me to solve this problem. 

    1 ACCEPTED SOLUTION

    Accepted Solutions
    Highlighted
    Employee
    Employee
    Solution

    Re: Moodle Install Issues

    If you're not able to manage php modules yourself, maybe Business Hosting would be a better fit for you than a VPS. There's a menu with checkboxes in that type of hosting.

     

    On a VPS, those are php modules that you turn on and off in WHM in the same area you install different PHP versions. You'll customize the profile you're using to setup PHP using these instructions. https://documentation.cpanel.net/display/70Docs/EasyApache+4+Interface#EasyApache4Interface-Customiz...

    View solution in original post

    1 REPLY 1
    Highlighted
    Employee
    Employee
    Solution

    Re: Moodle Install Issues

    If you're not able to manage php modules yourself, maybe Business Hosting would be a better fit for you than a VPS. There's a menu with checkboxes in that type of hosting.

     

    On a VPS, those are php modules that you turn on and off in WHM in the same area you install different PHP versions. You'll customize the profile you're using to setup PHP using these instructions. https://documentation.cpanel.net/display/70Docs/EasyApache+4+Interface#EasyApache4Interface-Customiz...

    View solution in original post